summaryrefslogtreecommitdiff
path: root/regress/knownhosts-command.sh
diff options
context:
space:
mode:
authordjm@openbsd.org <djm@openbsd.org>2020-12-22 06:47:24 +0000
committerDamien Miller <djm@mindrot.org>2020-12-22 17:48:31 +1100
commit3eb647cbb34d87a063aa7714256c6e56103fffda (patch)
tree88743eb7768e0bff4ed06659e0c647150016ecc4 /regress/knownhosts-command.sh
parent2873f19570d4d8758be24dbf78332be9a779009b (diff)
downloadopenssh-git-3eb647cbb34d87a063aa7714256c6e56103fffda.tar.gz
upstream: more detail for failing tests
OpenBSD-Regress-ID: c68c0e5a521cad7e7f68e54c54ebf86d6c10ee1d
Diffstat (limited to 'regress/knownhosts-command.sh')
-rw-r--r--regress/knownhosts-command.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/regress/knownhosts-command.sh b/regress/knownhosts-command.sh
index 6881d607..f15df670 100644
--- a/regress/knownhosts-command.sh
+++ b/regress/knownhosts-command.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: knownhosts-command.sh,v 1.1 2020/12/22 06:03:36 djm Exp $
+# $OpenBSD: knownhosts-command.sh,v 1.2 2020/12/22 06:47:24 djm Exp $
# Placed in the Public Domain.
tid="known hosts command "
@@ -44,8 +44,8 @@ for keytype in ${SSH_HOSTKEY_TYPES} ; do
cat > $OBJ/knownhosts_command << _EOF
#!/bin/sh
die() { echo "\$@" 1>&2 ; exit 1; }
-test "x\$1" = "x$keytype" || die "wrong keytype \$1"
-test "x\$3" = "x$LOGNAME" || die "wrong username \$3"
+test "x\$1" = "x$keytype" || die "wrong keytype \$1 (expected $keytype)"
+test "x\$3" = "x$LOGNAME" || die "wrong username \$3 (expected $LOGNAME)"
grep -- "\$1.*\$2" $OBJ/known_hosts
_EOF
${SSH} -F $OBJ/ssh_proxy -oHostKeyAlgorithms=$keytype x true ||